
# bedrock-rnd - curated footprints, symbols and devmaps for Ringdove EDA
# Copyright (C) 2025  Tibor 'Igor2' Palinkas
#
# dist-license: GPL2+
# use-license (license of the output): unlimited (CC0 or public domain)
#
# For more information: doc/license.html
#        or on the web: http://www.repo.hu/projects/bedrock-rnd/license.html
#
# Project page: http://www.repo.hu/projects/bedrock-rnd
#

BEGIN {
	gversion="2025-01-20"
	generator = "centerpad-rfp"
	bedrock_ver = "2025-01-08a"
}

function centerpad_draw(D)
{
	ipc_subc_begin("", "CPAD?", -D["cpad_width"]/2, -D["cpad_length"]/2 - mm(2), 0, SUBC_ATTR)
	ipc_subc_layers()
	centerpad(D)
	subc_end()
}

BEGIN {
	help_auto()

	proc_args(P, "CPL,CPW" ipc_params, "CPL,CPW")

# load args
	load_dim(P["CPL"],  "CPL")
	load_dim(P["CPW"],  "CPW")

#	ipc_init_gentol()

	D["cpad_length"] = NOM["CPL"]
	D["cpad_width"] = NOM["CPW"]

	centerpad_setup(D, P)

	centerpad_draw(D)
}
