
# bedrock-rnd - curated footprints, symbols and devmaps for Ringdove EDA
# Copyright (C) 2025  Tibor 'Igor2' Palinkas
#
# dist-license: GPL2+
# use-license (license of the output): unlimited (CC0 or public domain)
#
# For more information: doc/license.html
#        or on the web: http://www.repo.hu/projects/bedrock-rnd/license.html
#
# Project page: http://www.repo.hu/projects/bedrock-rnd
#

function resolve_alias(aliases, target)
{
	while((getline < aliases) == 1)
		for(n = 1; n <= NF; n++)
			if (target == $n)
				return $1

	return target
}


BEGIN {
	help_auto()
	proc_args(P, "id,numpins,dim", "id")

	q = "\""

	close(aliases)
	P["id"] = resolve_alias(aliases, P["id"])
	close(aliases)

	if ("dim" in P)
		P["dim"] = parse_dim(P["dim"])

#	print "id=" P["id"], P["numpins"], P["dim"] > "/dev/stderr"

}

{
	id=$1
	if (id != P["id"]) next

	numpins=$2
	if ((numpins != "*") && (numpins != P["numpins"]) && (P["numpins"] != "")) next

	dim=$3
	if ((dim != "*") && (parse_dim(dim) != P["dim"])) next

	res_cmd=$4

	if (want_rfp) {
		sub("-ipc", "-rfp", res_cmd)
		res_args=$6 "," $5
	}
	else
		res_args=$5

	sub("-L=",  "PE=", res_args)
	sub("-W=",  "PT=", res_args)
	sub("-Tb=", "PC=", res_args)
}

END {
	if (res_cmd != "")
		print dn "/" res_cmd " " q res_args q
}
